Bug 197339 - RHN Proxy installation deploys squid in a failed state
RHN Proxy installation deploys squid in a failed state
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Miroslav Suchý
Brandon Perkins
Depends On:
  Show dependency treegraph
Reported: 2006-06-30 07:31 EDT by Wayne Pascoe
Modified: 2008-02-08 07:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-08 07:48:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wayne Pascoe 2006-06-30 07:31:32 EDT
Description of problem:

RHN Proxy installation deploys squid in a failed state. To further compound the
problem, /etc/init.d/squid status reports squid to be running when it is not. 

This appears to be caused by the fact that squid is unable to resolve its
cananonical hostname.

Version-Release number of selected component (if applicable):

This has been shown on 3 seperate servers now. All servers are able to resolve
their FQDN from their IP and their IP from their FQDN.

How reproducible:

Steps to Reproduce:
1. Install RHN Proxy from RHN Satellite
2. run /etc/init.d/squid status (this will claim squid is running)
3. Check /var/log/squid/squid.out (this will show No running copy)
Actual results:
Squid process is running, but cannot function as it is unable to resolve its
cananonical hostname.

Expected results:
Squid should function correctly after RHN Proxy installation

Additional info:
To resolve this problem, visible_hostname <servername> needs to be added to
This should be done at installation time, as RHN Satellite captures this
information during the installation process.
Comment 1 Robin Norwood 2006-10-17 12:54:17 EDT
mass reassign to mmccune
Comment 2 Red Hat Bugzilla 2007-04-11 20:51:52 EDT
User bnackash@redhat.com's account has been closed
Comment 4 Miroslav Suchý 2008-01-21 11:20:09 EST
Wayne, do you still see this bug?
I cannot reproduce it.
Comment 5 Miroslav Suchý 2008-02-08 07:48:40 EST
I'm closing this bug. As I'm not able to reproduce it. If you have further info.
Please feel free to reopent this bug.

Note You need to log in before you can comment on or make changes to this bug.